DependencyManagerConfigurer (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve

## [Groovy] Class DependencyManagerConfigurer

- org.codehaus.groovy.grails.resolve.DependencyManagerConfigurer

- Configures the Ivy dependency manager for usage within Grails

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DependencyManager` | `configureAether(BuildSettings buildSettings)`
    `protected void` | `configureDefaultPluginResolver(java.lang.Object grailsConfig)`
    `protected void` | `configureGlobalFrameworkDependencies(GrailsIvyDependencies coreDependencies, java.lang.Object grailsConfig)`
    `DependencyManager` | `configureIvy(BuildSettings buildSettings)`
    `protected void` | `configureRepoAuthentication(java.lang.Object grailsConfig, DependencyManager dependencyManager)`
    `static DependencyManager` | `createAetherDependencyManager(BuildSettings buildSettings)`
    `static IvyDependencyManager` | `createIvyDependencyManager(BuildSettings buildSettings)`
    `protected groovy.lang.Closure` | `getDependencyConfig(java.lang.Object grailsConfig, IvyDependencyManager dependencyManager)`
    `protected void` | `setCacheDir(java.lang.Object grailsConfig, IvyDependencyManager dependencyManager)`
    `protected void` | `setCacheDir(java.lang.Object grailsConfig, DependencyManager dependencyManager)`
    `void` | `setProxy(DependencyManager dependencyManager, groovy.util.ConfigObject config)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @groovy.transform.CompileStatic DependencyManager configureAether(BuildSettings buildSettings)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected void configureDefaultPluginResolver(java.lang.Object grailsConfig)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected void configureGlobalFrameworkDependencies(GrailsIvyDependencies coreDependencies, java.lang.Object grailsConfig)

    - #### DependencyManager configureIvy(BuildSettings buildSettings)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected void configureRepoAuthentication(java.lang.Object grailsConfig, DependencyManager dependencyManager)

    - #### static DependencyManager createAetherDependencyManager(BuildSettings buildSettings)

    - #### static IvyDependencyManager createIvyDependencyManager(BuildSettings buildSettings)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected groovy.lang.Closure getDependencyConfig(java.lang.Object grailsConfig, IvyDependencyManager dependencyManager)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected void setCacheDir(java.lang.Object grailsConfig, IvyDependencyManager dependencyManager)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected void setCacheDir(java.lang.Object grailsConfig, DependencyManager dependencyManager)

    - #### void setProxy(DependencyManager dependencyManager, groovy.util.ConfigObject config)